LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("_NPCScan.Overlay.Broker", {
	type = "launcher",
	text = "_NPCScan.Overlay.Broker",
	icon = "Interface\\AddOns\\_NPCScan.Overlay.Broker\\icon",
	OnClick = function(_, msg)
		if msg == "LeftButton" then
			
			-- for LeftButton toggle the module Enabled or Disabled
			
			if ( _NPCScan.Overlay.Options.Modules[ "Minimap" ] ) then
				_NPCScan.Overlay.ModuleDisable( "Minimap" );
				ChatFrame1:AddMessage( "_NPCScan.Overlay - Minimap ".."|cffeda55f" .. "Disabled".."|r" );
			else
				_NPCScan.Overlay.ModuleEnable( "Minimap" );
				ChatFrame1:AddMessage( "_NPCScan.Overlay - Minimap ".."|cffeda55f" .. "Enabled".."|r" );
			end
			
		elseif msg == "RightButton" then
			InterfaceOptionsFrame_OpenToCategory( _NPCScan.Overlay.Config );
		end
	end,
	OnTooltipShow = function(tooltip)
		if not tooltip or not tooltip.AddLine then return end
		tooltip:AddLine("_NPCScan.Overlay.Broker")
		tooltip:AddLine("|cffeda55f" .. "Click|r to toggle display of _NPCScan.Overlay's Minimap layer")
		tooltip:AddLine("|cffeda55f" .. "Right-click|r to open _NPCScan.Overlay's options")
	end,
})
